import MonitorSpec from "./MonitorSpec";
import BigNumber from "bignumber.js";
import EventFilter from "./EventFilter";
import EventNotification from "../../data/Formatter/EventNotification";
export default class EventMonitorSpec implements MonitorSpec {
    readonly height: BigNumber;
    readonly eventFilters: EventFilter[];
    readonly logs: boolean;
    readonly progressInterval: number;
    constructor(height: BigNumber, eventFilter: EventFilter | EventFilter[], logs?: boolean, progressInterval?: number);
    getPath(): string;
    getParam(): object;
    getConverter(): (data: any) => EventNotification;
}
